## ttf-dejavu 2.23

=== Makefile ===
.PHONY: all check munge full sans lgc ttf full-ttf sans-ttf lgc-ttf status dist src-dist full-dist sans-dist lgc-dist norm check-harder pre-patch clean

# Release version
VERSION = 2.23
# Snapshot version
SNAPSHOT = 
# Initial source directory, assumed read-only
SRCDIR  = src
# Directory where temporary files live
TMPDIR  = tmp
# Directory where final files are created
BUILDDIR  = build
# Directory where final archives are created
DISTDIR = dist

# Release layout
FONTCONFDIR = fontconfig
DOCDIR = .
SCRIPTSDIR = scripts
TTFDIR = ttf
RESOURCEDIR = resources

ifeq "$(SNAPSHOT)" ""
ARCHIVEVER = $(VERSION)
else
ARCHIVEVER = $(VERSION)-$(SNAPSHOT)
endif

SRCARCHIVE  = dejavu-fonts-$(ARCHIVEVER)
FULLARCHIVE = dejavu-fonts-ttf-$(ARCHIVEVER)
SANSARCHIVE = dejavu-sans-ttf-$(ARCHIVEVER)
LGCARCHIVE  = dejavu-lgc-fonts-ttf-$(ARCHIVEVER)

ARCHIVEEXT = .zip .tar.bz2
SUMEXT     = .zip.md5 .tar.bz2.md5 .tar.bz2.sha512

OLDSTATUS   = $(DOCDIR)/status.txt
BLOCKS      = $(RESOURCEDIR)/Blocks.txt
UNICODEDATA = $(RESOURCEDIR)/UnicodeData.txt
FC-LANG     = $(RESOURCEDIR)/fc-lang

GENERATE    = $(SCRIPTSDIR)/generate.pe
TTPOSTPROC  = $(SCRIPTSDIR)/ttpostproc.pl
LGC         = $(SCRIPTSDIR)/lgc.pe
UNICOVER    = $(SCRIPTSDIR)/unicover.pl
LANGCOVER   = $(SCRIPTSDIR)/langcover.pl
STATUS	    = $(SCRIPTSDIR)/status.pl
PROBLEMS    = $(SCRIPTSDIR)/problems.pl
NORMALIZE   = $(SCRIPTSDIR)/sfdnormalize.pl
NARROW      = $(SCRIPTSDIR)/narrow.pe

SRC      := $(wildcard $(SRCDIR)/*.sfd)
SFDFILES := $(patsubst $(SRCDIR)/%, %, $(SRC))
FULLSFD  := $(patsubst $(SRCDIR)/%.sfd, $(TMPDIR)/%.sfd, $(SRC))
NORMSFD  := $(patsubst %, %.norm, $(FULLSFD))
LGCSFD   := $(patsubst $(SRCDIR)/DejaVu%.sfd, $(TMPDIR)/DejaVuLGC%.sfd, $(SRC))
FULLTTF  := $(patsubst $(TMPDIR)/%.sfd, $(BUILDDIR)/%.ttf, $(FULLSFD))
LGCTTF   := $(patsubst $(TMPDIR)/%.sfd, $(BUILDDIR)/%.ttf, $(LGCSFD))

FONTCONF     := $(wildcard $(FONTCONFDIR)/*.conf)
FONTCONFLGC  := $(wildcard $(FONTCONFDIR)/*lgc*.conf)
FONTCONFFULL := $(filter-out $(FONTCONFLGC), $(FONTCONF))

STATICDOC := $(addprefix $(DOCDIR)/, AUTHORS BUGS LICENSE NEWS README)
GENDOCFULL = unicover.txt langcover.txt status.txt
GENDOCSANS = unicover-sans.txt langcover-sans.txt
GENDOCLGC  = unicover-lgc.txt langcover-lgc.txt

all : full sans lgc

$(TMPDIR)/%.sfd: $(SRCDIR)/%.sfd
	@echo "[1] $< => $@"
	install -d $(dir $@)
	sed "s@\(Version:\? \)\(0\.[0-9]\+\.[0-9]\+\|[1-9][0-9]*\.[0-9]\+\)@\1$(VERSION)@" $< > $@
	touch -r $< $@

$(TMPDIR)/DejaVuLGC%.sfd: $(TMPDIR)/DejaVu%.sfd
	@echo "[2] $< => $@"
	sed -e 's,FontName: DejaVu,FontName: DejaVuLGC,'\
	    -e 's,FullName: DejaVu,FullName: DejaVu LGC,'\
	    -e 's,FamilyName: DejaVu,FamilyName: DejaVu LGC,'\
            -e 's,"DejaVu \(\(Sans\|Serif\)*\( Condensed\| Mono\)*\( Bold\)*\( Oblique\|Italic\)*\)","DejaVu LGC \1",g' < $< > $@
	@echo "Stripping unwanted glyphs from $@"
	$(LGC) $@
	touch -r $< $@

$(BUILDDIR)/%.ttf: $(TMPDIR)/%.sfd
	@echo "[3] $< => $@"
	install -d $(dir $@)
	$(GENERATE) $<
	mv $<.ttf $@
	$(TTPOSTPROC) $@
	$(RM) $@~
	touch -r $< $@

$(BUILDDIR)/status.txt: $(FULLSFD)
	@echo "[4] => $@"
	install -d $(dir $@)
	$(STATUS) $(VERSION) $(OLDSTATUS) $(FULLSFD) > $@

$(BUILDDIR)/unicover.txt: $(patsubst %, $(TMPDIR)/%.sfd, DejaVuSans DejaVuSerif DejaVuSansMono)
	@echo "[5] => $@"
	install -d $(dir $@)
	$(UNICOVER) $(UNICODEDATA) $(BLOCKS) \
	            $(TMPDIR)/DejaVuSans.sfd "Sans" \
	            $(TMPDIR)/DejaVuSerif.sfd "Serif" \
	            $(TMPDIR)/DejaVuSansMono.sfd "Sans Mono" > $@

$(BUILDDIR)/unicover-sans.txt: $(TMPDIR)/DejaVuSans.sfd
	@echo "[5] => $@"
	install -d $(dir $@)
	$(UNICOVER) $(UNICODEDATA) $(BLOCKS) \
	            $(TMPDIR)/DejaVuSans.sfd "Sans" > $@

$(BUILDDIR)/unicover-lgc.txt: $(patsubst %, $(TMPDIR)/%.sfd, DejaVuLGCSans DejaVuLGCSerif DejaVuLGCSansMono)
	@echo "[5] => $@"
	install -d $(dir $@)
	$(UNICOVER) $(UNICODEDATA) $(BLOCKS) \
	            $(TMPDIR)/DejaVuLGCSans.sfd "Sans" \
	            $(TMPDIR)/DejaVuLGCSerif.sfd "Serif" \
	            $(TMPDIR)/DejaVuLGCSansMono.sfd "Sans Mono" > $@

$(BUILDDIR)/langcover.txt: $(patsubst %, $(TMPDIR)/%.sfd, DejaVuSans DejaVuSerif DejaVuSansMono)
	@echo "[6] => $@"
	install -d $(dir $@)
ifeq "$(FC-LANG)" ""
	touch $@
else
	$(LANGCOVER) $(FC-LANG) \
	             $(TMPDIR)/DejaVuSans.sfd "Sans" \
	             $(TMPDIR)/DejaVuSerif.sfd "Serif" \
	             $(TMPDIR)/DejaVuSansMono.sfd "Sans Mono" > $@
endif

$(BUILDDIR)/langcover-sans.txt: $(TMPDIR)/DejaVuSans.sfd
	@echo "[6] => $@"
	install -d $(dir $@)
ifeq "$(FC-LANG)" ""
	touch $@
else
	$(LANGCOVER) $(FC-LANG) \
	             $(TMPDIR)/DejaVuSans.sfd "Sans" > $@
endif

$(BUILDDIR)/langcover-lgc.txt: $(patsubst %, $(TMPDIR)/%.sfd, DejaVuLGCSans DejaVuLGCSerif DejaVuLGCSansMono)
	@echo "[6] => $@"
	install -d $(dir $@)
ifeq "$(FC-LANG)" ""
	touch $@
else
	$(LANGCOVER) $(FC-LANG) \
	             $(TMPDIR)/DejaVuLGCSans.sfd "Sans" \
	             $(TMPDIR)/DejaVuLGCSerif.sfd "Serif" \
	             $(TMPDIR)/DejaVuLGCSansMono.sfd "Sans Mono" > $@
endif

$(BUILDDIR)/Makefile: Makefile
	@echo "[7] => $@"
	install -d $(dir $@)
	sed -e "s+^VERSION\([[:space:]]*\)=\(.*\)+VERSION = $(VERSION)+g"\
	    -e "s+^SNAPSHOT\([[:space:]]*\)=\(.*\)+SNAPSHOT = $(SNAPSHOT)+g" < $< > $@
	touch -r $< $@

$(TMPDIR)/$(SRCARCHIVE): $(addprefix $(BUILDDIR)/, $(GENDOCFULL) Makefile) $(FULLSFD)
	@echo "[8] => $@"
	install -d -m 0755 $@/{$(SCRIPTSDIR),$(SRCDIR),$(FONTCONFDIR),$(DOCDIR)}
	install -p -m 0644 $(BUILDDIR)/Makefile $@
	install -p -m 0755 $(GENERATE) $(TTPOSTPROC) $(LGC) $(NORMALIZE) \
	                   $(UNICOVER) $(LANGCOVER) $(STATUS) $(PROBLEMS) \
	                   $@/$(SCRIPTSDIR)
	install -p -m 0644 $(FULLSFD) $@/$(SRCDIR)
	install -p -m 0644 $(FONTCONF) $@/$(FONTCONFDIR)
	install -p -m 0644 $(addprefix $(BUILDDIR)/, $(GENDOCFULL)) \
	                   $(STATICDOC) $@/$(DOCDIR)

$(TMPDIR)/$(FULLARCHIVE): full
	@echo "[8] => $@"
	install -d -m 0755 $@/{$(TTFDIR),$(FONTCONFDIR),$(DOCDIR)}
	install -p -m 0644 $(FULLTTF) $@/$(TTFDIR)
	install -p -m 0644 $(FONTCONFFULL) $@/$(FONTCONFDIR)
	install -p -m 0644 $(addprefix $(BUILDDIR)/, $(GENDOCFULL)) \
	                   $(STATICDOC) $@/$(DOCDIR)

$(TMPDIR)/$(SANSARCHIVE): sans
	@echo "[8] => $@"
	install -d -m 0755 $@/{$(TTFDIR),$(DOCDIR)}
	install -p -m 0644 $(BUILDDIR)/DejaVuSans.ttf $@/$(TTFDIR)
	install -p -m 0644 $(addprefix $(BUILDDIR)/, $(GENDOCSANS)) \
	                   $(STATICDOC) $@/$(DOCDIR)

$(TMPDIR)/$(LGCARCHIVE): lgc
	@echo "[8] => $@"
	install -d -m 0755 $@/{$(TTFDIR),$(FONTCONFDIR),$(DOCDIR)}
	install -p -m 0644 $(LGCTTF) $@/$(TTFDIR)
	install -p -m 0644 $(FONTCONFLGC) $@/$(FONTCONFDIR)
	install -p -m 0644 $(addprefix $(BUILDDIR)/, $(GENDOCLGC)) \
	                   $(STATICDOC) $@/$(DOCDIR)

$(DISTDIR)/%.zip: $(TMPDIR)/%
	@echo "[9] => $@"
	install -d $(dir $@)
	(cd $(TMPDIR); zip -rv $(abspath $@) $(notdir $<))

$(DISTDIR)/%.tar.bz2: $(TMPDIR)/%
	@echo "[9] => $@"
	install -d $(dir $@)
	(cd $(TMPDIR); tar cjvf $(abspath $@) $(notdir $<))

%.md5: %
	@echo "[10] => $@"
	(cd $(dir $<); md5sum -b $(notdir $<) > $(abspath $@))

%.sha512: %
	@echo "[10] => $@"
	(cd $(dir $<); sha512sum -b $(notdir $<) > $(abspath $@))

%.sfd.norm: %.sfd
	@echo "[11] $< => $@"
	$(NORMALIZE) $<
	touch -r $< $@

check : $(NORMSFD)
	for sfd in $^ ; do \
	echo "[12] Checking $$sfd" ;\
	$(PROBLEMS)  $$sfd ;\
	done

munge: $(NORMSFD)
	for sfd in $(SFDFILES) ; do \
	echo "[13] $(TMPDIR)/$$sfd.norm => $(SRCDIR)/$$sfd" ;\
	cp $(TMPDIR)/$$sfd.norm $(SRCDIR)/$$sfd ;\
	done

full : $(FULLTTF) $(addprefix $(BUILDDIR)/, $(GENDOCFULL))

sans : $(addprefix $(BUILDDIR)/, DejaVuSans.ttf $(GENDOCSANS))

lgc : $(LGCTTF) $(addprefix $(BUILDDIR)/, $(GENDOCLGC))

ttf : full-ttf sans-ttf lgc-ttf

full-ttf : $(FULLTTF)

sans-ttf: $(BUILDDIR)/DejaVuSans.ttf

lgc-ttf : $(LGCTTF)

status : $(addprefix $(BUILDDIR)/, $(GENDOCFULL))

dist : src-dist full-dist sans-dist lgc-dist

src-dist :  $(addprefix $(DISTDIR)/$(SRCARCHIVE),  $(ARCHIVEEXT) $(SUMEXT))

full-dist : $(addprefix $(DISTDIR)/$(FULLARCHIVE), $(ARCHIVEEXT) $(SUMEXT))

sans-dist : $(addprefix $(DISTDIR)/$(SANSARCHIVE), $(ARCHIVEEXT) $(SUMEXT))

lgc-dist :  $(addprefix $(DISTDIR)/$(LGCARCHIVE),  $(ARCHIVEEXT) $(SUMEXT))

norm : $(NORMSFD)

check-harder : clean check

pre-patch : munge clean

clean :
	$(RM) -r $(TMPDIR) $(BUILDDIR) $(DISTDIR)

condensed: $(NORMSFD)
	$(NARROW) 90 $(TMPDIR)/DejaVuSans.sfd.norm
	$(NARROW) 90 $(TMPDIR)/DejaVuSans-Bold.sfd.norm
	$(NARROW) 90 $(TMPDIR)/DejaVuSans-Oblique.sfd.norm
	$(NARROW) 90 $(TMPDIR)/DejaVuSans-BoldOblique.sfd.norm
	$(NARROW) 90 $(TMPDIR)/DejaVuSerif.sfd.norm
	$(NARROW) 90 $(TMPDIR)/DejaVuSerif-Bold.sfd.norm
	$(NARROW) 90 $(TMPDIR)/DejaVuSerif-Italic.sfd.norm
	$(NARROW) 90 $(TMPDIR)/DejaVuSerif-BoldItalic.sfd.norm
	$(NORMALIZE) $(TMPDIR)/DejaVuSans.sfd.norm.narrow
	$(NORMALIZE) $(TMPDIR)/DejaVuSans-Bold.sfd.norm.narrow
	$(NORMALIZE) $(TMPDIR)/DejaVuSans-Oblique.sfd.norm.narrow
	$(NORMALIZE) $(TMPDIR)/DejaVuSans-BoldOblique.sfd.norm.narrow
	$(NORMALIZE) $(TMPDIR)/DejaVuSerif.sfd.norm.narrow
	$(NORMALIZE) $(TMPDIR)/DejaVuSerif-Bold.sfd.norm.narrow
	$(NORMALIZE) $(TMPDIR)/DejaVuSerif-Italic.sfd.norm.narrow
	$(NORMALIZE) $(TMPDIR)/DejaVuSerif-BoldItalic.sfd.norm.narrow
	cp $(TMPDIR)/DejaVuSans.sfd.norm.narrow.norm $(TMPDIR)/DejaVuSansCondensed.sfd.norm
	cp $(TMPDIR)/DejaVuSans-Bold.sfd.norm.narrow.norm $(TMPDIR)/DejaVuSansCondensed-Bold.sfd.norm
	cp $(TMPDIR)/DejaVuSans-Oblique.sfd.norm.narrow.norm $(TMPDIR)/DejaVuSansCondensed-Oblique.sfd.norm
	cp $(TMPDIR)/DejaVuSans-BoldOblique.sfd.norm.narrow.norm $(TMPDIR)/DejaVuSansCondensed-BoldOblique.sfd.norm
	cp $(TMPDIR)/DejaVuSerif.sfd.norm.narrow.norm $(TMPDIR)/DejaVuSerifCondensed.sfd.norm
	cp $(TMPDIR)/DejaVuSerif-Bold.sfd.norm.narrow.norm $(TMPDIR)/DejaVuSerifCondensed-Bold.sfd.norm
	cp $(TMPDIR)/DejaVuSerif-Italic.sfd.norm.narrow.norm $(TMPDIR)/DejaVuSerifCondensed-Italic.sfd.norm
	cp $(TMPDIR)/DejaVuSerif-BoldItalic.sfd.norm.narrow.norm $(TMPDIR)/DejaVuSerifCondensed-BoldItalic.sfd.norm

## ttf-dejavu 2.15-1

=== debian/changelog ===
ttf-dejavu (2.15-1) unstable; urgency=low

  * New upstream release
  * Remove patches from previous release
  * Re-include IPA Extensions (U+0250-U+02AF) (closes: #411909)
  * Fix width for digits. Thanx to Eugeniy Meshcheryakov for the
    patch. (closes: #411308)

 -- Davide Viti <zinosat@tiscali.it>  Wed, 21 Feb 2007 20:03:57 +0100

ttf-dejavu (2.14-2) unstable; urgency=low

  * Make sure Spacing Modifier Letters (U+02B0-U+02FF) is not stripped out
    of the udeb (closes: #409509)
  * Adjusted hinting of "g" at 17, 18 and 19ppem. Thanks to Ben Laenen for
    the patch. (closes: #409659)

 -- Davide Viti <zinosat@tiscali.it>  Sun,  4 Feb 2007 17:26:48 +0100

ttf-dejavu (2.14-1) unstable; urgency=low

  * New upstream release
  * debian/control: update package description. Thanks to Josh Triplett.
    (closes: #406741)
  * debian/scripts/generate-udeb.sh strip more unused ranges:
    - IPA Extensions (U+0250-U+02AF)
    - Spacing Modifier Letters (U+02B0-U+02FF)
    - Cyrillic Supplement (U+0500-U+052F)
    - Greek Extended (U+1F00-U+1FFF)
    - Supplemental Arrows-A (U+27F0-U+27FF)
    - Latin Extended-C (U+2C60-U+2C7F)
    (closes: #407854)
  * Fix instructions for sans-oblique fonts. Thanks to Ben Laenen for the
    patch. (closes: #408311)

 -- Davide Viti <zinosat@tiscali.it>  Fri, 26 Jan 2007 20:32:28 +0100

ttf-dejavu (2.13-1) unstable; urgency=low

  * New upstream version available (Closes: #402744)
  * Make the package "team-maintained"; add real names (including self) to
    uploaders
  * Remove debian/patches
  * Bump Build-Depends on debhelper to 4.2.0
  * debian/ttf-dejavu.defoma-hints: remove "-Condensed" suffix from
    Family. Thanks to Eugeniy Meshcheryakov.

 -- Davide Viti <zinosat@tiscali.it>  Wed, 20 Dec 2006 21:54:17 +0100

ttf-dejavu (2.12-2) unstable; urgency=medium

  * Fix incorrect font widths in condensed fonts. These caused most recent
    version of fontconfig to prefer condensed fonts over normal. Thanks to
    Eugeniy Meshcheryakov for the patch. (Closes: #401615)

 -- Peter Cernak <pce@users.sourceforge.net>  Tue,  5 Dec 2006 00:43:26 +0100

ttf-dejavu (2.12-1) unstable; urgency=low

  * New upstream version available (Closes: #399901)
  * debian/scripts/generate-udeb.sh:
    - include Hebrew ranges in udeb
    - strip Canadian Syllabics (U+1400-U+167F)

 -- Peter Cernak <pce@users.sourceforge.net>  Sun, 26 Nov 2006 13:15:51 +0100

ttf-dejavu (2.11-1) unstable; urgency=low

  * New upstream version available (Closes: #387918)
  * debian/control: bump minimal version of fontforge
  * debian/scripts/generate-udeb.sh: strip lao range from udeb
  * debian/scripts/strip-chainsub.pl: removed; the problem it was supposed to
    solve does not exist anymore.

 -- Peter Cernak <pce@users.sourceforge.net>  Sun, 29 Oct 2006 14:12:47 +0100

ttf-dejavu (2.10-1) unstable; urgency=low

  * New upstream version available (Closes: #387918)
  * debian/control, debian/rules: switch to cdbs
  * debian/scripts/strip-chainsub.pl, debian/scripts/generate-udeb.sh: use a
    generic way to strip contextual blocks from sfd, scrap the sed commands
    from previous release
  * debian/ttf-dejavu.defoma-hints: add hints for DejaVuSans-ExtraLight.ttf
  * debian/scripts/generate-udeb.sh: correct range for Hebrew

 -- Peter Cernak <pce@users.sourceforge.net>  Sun, 17 Sep 2006 17:45:31 +0200

ttf-dejavu (2.9-1) unstable; urgency=low

  * New upstream version available (Closes: #382834)
  * debian/scripts/generate-udeb.sh: add option to execute sed commands
    on sfd files and strip Hebrew glyph ranges from udeb (Closes: #382834)
  * debian/ttf-dejavu.docs: moved from debian/docs
  * debian/control: bring description up-to-date, drop "Bitstream"
    (Closes: #353462)

 -- Peter Cernak <pce@users.sourceforge.net>  Mon, 21 Aug 2006 21:19:10 +0200

ttf-dejavu (2.8-1) unstable; urgency=low

  * New upstream version available (Closes: #380229)

 -- Peter Cernak <pce@users.sourceforge.net>  Sun, 30 Jul 2006 13:30:59 +0200

ttf-dejavu (2.7-2) unstable; urgency=low

  * separate build procedure for udeb
  * strip unnecessary glyphs from the udeb (Closes: #374720)

 -- Peter Cernak <pce@users.sourceforge.net>  Sat, 24 Jun 2006 01:34:55 +0200

ttf-dejavu (2.7-1) unstable; urgency=low

  * New upstream version available
  * debian/rules: make binary-arch a phony target
  * debian/ttf-dejavu.defoma-hints: set Foundry to DejaVu

 -- Peter Cernak <pce@users.sourceforge.net>  Mon, 19 Jun 2006 15:16:11 +0200

ttf-dejavu (2.6-1) unstable; urgency=low

  * New upstream version available (Closes: #364032)
  * debian/ttf-dejavu.defoma-hints: removed upright shape from serif oblique
    and serif bold oblique faces (Closes: #362772)
  * Debian Policy fixes:
    - debian/rules: provide targets binary-arch, build
    - debian/control: Stardards-Version 3.7.2
    - debian/control: move debhelper from Build-Depends-Indep to Build-Depends

 -- Peter Cernak <pce@users.sourceforge.net>  Mon,  5 Jun 2006 14:50:41 +0200

ttf-dejavu (2.4.1-1) unstable; urgency=low

  * New upstream version available (Closes: #358072)
  * debian/ttf-dejavu-udeb.install: removed DejaVuSans-BoldOblique.ttf
    (Closes: #356036)
  * debian/docs: add langcover.txt

 -- Peter Cernak <pce@users.sourceforge.net>  Mon,  3 Apr 2006 23:32:48 +0200

ttf-dejavu (2.3-1) unstable; urgency=low

  * New upstream version available (Closes: #349511)
  * debian/control: remove comments (Closes: #350403)
  * debian/ttf-dejavu.defoma-hints: updated entries (Closes: #347268)

 -- Peter Cernak <pce@users.sourceforge.net>  Sat, 25 Feb 2006 13:58:38 +0100

ttf-dejavu (2.1-2) unstable; urgency=low

  * debian/control: Build an udeb package for debian-installer
    (Closes: #346563)

 -- Peter Cernak <pce@users.sourceforge.net>  Sun,  8 Jan 2006 23:35:32 +0100

ttf-dejavu (2.1-1) unstable; urgency=low

  * New upstream version available (Closes: #338847)
  * debian/control:
        - Build-Depend on fontforge >=20050919
        - Standards-Version 3.6.2


=== debian/control ===
Source: ttf-dejavu
Section: x11
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Build-Depends: cdbs (>= 0.4.46), debhelper (>= 4.2.0)
Build-Depends-Indep: defoma, fontforge (>= 0.0.20061014-1), perl, libfont-ttf-perl (>= 0.35-1)
Standards-Version: 3.7.2
Uploaders: Davide Viti <zinosat@tiscali.it>, Christian Perrier <bubulle@debian.org>, Eugeniy Meshcheryakov <eugen@debian.org>

Package: ttf-dejavu
Architecture: all
Depends: defoma
Description: Vera font family derivate with additional characters
 DejaVu provides an expanded version of the Vera font family aiming for
 quality and broader Unicode coverage while retaining the original Vera
 style. DejaVu currently works towards conformance with the Multilingual
 European Standards (MES-1 and MES-2) for Unicode coverage. The DejaVu
 fonts provide serif, sans and monospaced variants.
 .
 DejaVu fonts are intended for use on low-resolution devices (mainly
 computer screens) but can be used in printing as well.

Package: ttf-dejavu-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: all
Description: Vera font family derivate with additional characters
 DejaVu provides an expanded version of the Vera font family aiming for
 quality and broader Unicode coverage while retaining the original Vera
 style. DejaVu currently works towards conformance with the Multilingual
 European Standards (MES-1 and MES-2) for Unicode coverage. The DejaVu
 fonts provide serif, sans and monospaced variants.
 .
 DejaVu fonts are intended for use on low-resolution devices (mainly
 computer screens) but can be used in printing as well.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

clean::
	rm -rf generated/ udeb-generated/ udeb-build/
	rm -f debian/stamp-common-build

common-build-indep:: debian/stamp-common-build
debian/stamp-common-build: $(wildcard *.sfd)
	sh generate.sh
	sh debian/scripts/generate-udeb.sh
	touch debian/stamp-common-build

binary-install/ttf-dejavu::
	dh_installdefoma -pttf-dejavu

=== debian/watch ===
version=3
http://sf.net/dejavu/dejavu-sfd-([\d.]*).tar.gz

## ttf-dejavu 2.25

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .PHONY: all check munge full sans lgc ttf full-ttf sans-ttf lgc-ttf status dist src-dist full-dist sans-dist lgc-dist norm check-harder pre-patch clean
 
 # Release version
-VERSION = 2.23
+VERSION = 2.25
 # Snapshot version
 SNAPSHOT = 
 # Initial source directory, assumed read-only
@@ -163,7 +163,10 @@
 
 $(TMPDIR)/$(SRCARCHIVE): $(addprefix $(BUILDDIR)/, $(GENDOCFULL) Makefile) $(FULLSFD)
 	@echo "[8] => $@"
-	install -d -m 0755 $@/{$(SCRIPTSDIR),$(SRCDIR),$(FONTCONFDIR),$(DOCDIR)}
+	install -d -m 0755 $@/$(SCRIPTSDIR)
+	install -d -m 0755 $@/$(SRCDIR)
+	install -d -m 0755 $@/$(FONTCONFDIR)
+	install -d -m 0755 $@/$(DOCDIR)
 	install -p -m 0644 $(BUILDDIR)/Makefile $@
 	install -p -m 0755 $(GENERATE) $(TTPOSTPROC) $(LGC) $(NORMALIZE) \
 	                   $(UNICOVER) $(LANGCOVER) $(STATUS) $(PROBLEMS) \
@@ -175,7 +178,9 @@
 
 $(TMPDIR)/$(FULLARCHIVE): full
 	@echo "[8] => $@"
-	install -d -m 0755 $@/{$(TTFDIR),$(FONTCONFDIR),$(DOCDIR)}
+	install -d -m 0755 $@/$(TTFDIR)
+	install -d -m 0755 $@/$(FONTCONFDIR)
+	install -d -m 0755 $@/$(DOCDIR)
 	install -p -m 0644 $(FULLTTF) $@/$(TTFDIR)
 	install -p -m 0644 $(FONTCONFFULL) $@/$(FONTCONFDIR)
 	install -p -m 0644 $(addprefix $(BUILDDIR)/, $(GENDOCFULL)) \
@@ -183,14 +188,17 @@
 
 $(TMPDIR)/$(SANSARCHIVE): sans
 	@echo "[8] => $@"
-	install -d -m 0755 $@/{$(TTFDIR),$(DOCDIR)}
+	install -d -m 0755 $@/$(TTFDIR)
+	install -d -m 0755 $@/$(DOCDIR)
 	install -p -m 0644 $(BUILDDIR)/DejaVuSans.ttf $@/$(TTFDIR)
 	install -p -m 0644 $(addprefix $(BUILDDIR)/, $(GENDOCSANS)) \
 	                   $(STATICDOC) $@/$(DOCDIR)
 
 $(TMPDIR)/$(LGCARCHIVE): lgc
 	@echo "[8] => $@"
-	install -d -m 0755 $@/{$(TTFDIR),$(FONTCONFDIR),$(DOCDIR)}
+	install -d -m 0755 $@/$(TTFDIR)
+	install -d -m 0755 $@/$(FONTCONFDIR)
+	install -d -m 0755 $@/$(DOCDIR)
 	install -p -m 0644 $(LGCTTF) $@/$(TTFDIR)
 	install -p -m 0644 $(FONTCONFLGC) $@/$(FONTCONFDIR)
 	install -p -m 0644 $(addprefix $(BUILDDIR)/, $(GENDOCLGC)) \

## ttf-dejavu 2.25-maemo0

=== debian/changelog ===
ttf-dejavu (2.25-maemo0) fremantle; urgency=low

  * Initial release for fremantle

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Thu, 29 Mar 2012 03:43:40 -0400

ttf-dejavu (2.25-1) diablo; urgency=low

  * Initial release -- repackaged from scratch using pre-built TTF fonts

 -- Andrew Zabolotny <zap@homelink.ru>  Mon, 21 Jul 2008 00:47:43 +0400

=== debian/control ===
Source: ttf-dejavu
Section: user/graphics
Priority: optional
Maintainer: Andrew Zabolotny <zap@homelink.ru>
Build-Depends: cdbs, debhelper (>= 5), maemo-optify
Build-Depends-Indep:  zip
Standards-Version: 3.8.0

Package: ttf-dejavu
Architecture: all
Depends: ${misc:Depends}, fontconfig
Description: Vera font family derivate with additional characters
 DejaVu provides an expanded version of the Vera font family aiming for
 quality and broader Unicode coverage while retaining the original Vera
 style. DejaVu currently works towards conformance with the Multilingual
 European Standards (MES-1 and MES-2) for Unicode coverage. The DejaVu
 fonts provide serif, sans and monospaced variants.
 .
 DejaVu fonts are intended for use on low-resolution devices (mainly
 computer screens) but can be used in printing as well.
XB-Maemo-Display-Name: DejaVu Fonts
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAALEgAACxIB0t1+/AAAAAd0SU1FB9gHFRUnDVnH4BwAAALZSURBVEjH
 lZVNSFRRFMd/7zqOYpkWUgiWTaKm4GI6tKgWfSwCcdBNLQLdiIhBBUW2aNe2NhUE0aKPjRBua2gV
 tKlF3co2WWHRhxKJRVhKEb0W3Wtn7nw0c+Dx7vmf8+7/3PNxXyQiAFhrKSUikgQaFHQC6ASWA9eH
 wPlwvwTlyxhwIcCmgccB1gkY4LcGTTkMIlINHCtg2gLUBNgaoC50NGqzUlz9QFsBPAmkCuAbihKV
 OE0VMKKgd8ArpaeAquCzxnAfXaO7IvIZiAOfWmC/0q8C88Alp68FmoEPyqeuFFEN0AEcVdgm4Lo6
 +aLTl4AzQJPDO4DZAkH+I/JtKCIzwD5r7T2Vtm4gUv63gbduPQkcVjVZByw4fb7SGmUCosvWWj9z
 WYVHrgO9fC+bSERWq4gBngMPlD7rUuhlM7DKrT9WcqJ+oFXpF621P4ONp5VeDWwE3gC/yiISkQg4
 otK2CNxUdgNsdZvqG6AdmLHWxqWIatV87AC2K9sta+0Xpa93RD+Ctq4HvhYK3ohIvYhsA/YAL0Sk
 CTgVtH6riLS7kwLsVPaXwakOKb+cE00C912+m4EJVx99E3QBz4AOEWkE9ir7J0CfdsDVKo+o3hHt
 dk6PgpY+DZx0qa0GDriZ0fI6aIqx8O70NXriCtgADCn7e+COCwSg1wUUylPX7l6Ggn8XBrjiJh4X
 bYuy37DWLgBzblDPWmsHA5JvwDn3eGkBcvx8inLaMZ1OY4xZBtKuqw5aa6/FcUwURYjIhHNdstaO
 FBgPXAl2+dlbIYrjv1xRFFGp+AD8u4BEOQPrnfUGXi+2Lkas30CdEZHBYs7ZbDYnCL0Og/qPdJs4
 jnuLWfv6+nxN8oLQWDabzQsskDZSqdScq1HsCrXyhJhfawlthb5NJpPHTSaTWdLpABgeHibEdKE9
 HqYTYHR0NO/b8fHxgainpwdjSv//pqamVorR1dUVGWNIJBIVdeYfdgAeQAvt7RMAAAAASUVORK5C
 YII=

## ttf-dejavu 2.25-maemo1

=== debian/changelog ===
ttf-dejavu (2.25-maemo1) fremantle; urgency=low

  * bugtracker link added

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Fri,  6 Apr 2012 06:04:08 -0400

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  .
  DejaVu fonts are intended for use on low-resolution devices (mainly
  computer screens) but can be used in printing as well.
+XSBC-Bugtracker: mailto:holgernahrstaedt@gmx.de
 XB-Maemo-Display-Name: DejaVu Fonts
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

binary-install/ttf-dejavu::
	maemo-optify Dejavu debian/ttf-dejavu

## ttf-dejavu 2.28

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .PHONY: all check munge full sans lgc ttf full-ttf sans-ttf lgc-ttf status dist src-dist full-dist sans-dist lgc-dist norm check-harder pre-patch clean
 
 # Release version
-VERSION = 2.25
+VERSION = 2.28
 # Snapshot version
 SNAPSHOT = 
 # Initial source directory, assumed read-only
@@ -62,6 +62,7 @@
 FONTCONFFULL := $(filter-out $(FONTCONFLGC), $(FONTCONF))
 
 STATICDOC := $(addprefix $(DOCDIR)/, AUTHORS BUGS LICENSE NEWS README)
+STATICSRCDOC := $(addprefix $(DOCDIR)/, BUILDING)
 GENDOCFULL = unicover.txt langcover.txt status.txt
 GENDOCSANS = unicover-sans.txt langcover-sans.txt
 GENDOCLGC  = unicover-lgc.txt langcover-lgc.txt
@@ -174,7 +175,7 @@
 	install -p -m 0644 $(FULLSFD) $@/$(SRCDIR)
 	install -p -m 0644 $(FONTCONF) $@/$(FONTCONFDIR)
 	install -p -m 0644 $(addprefix $(BUILDDIR)/, $(GENDOCFULL)) \
-	                   $(STATICDOC) $@/$(DOCDIR)
+	                   $(STATICDOC) $(STATICSRCDOC) $@/$(DOCDIR)
 
 $(TMPDIR)/$(FULLARCHIVE): full
 	@echo "[8] => $@"

## ttf-dejavu 2.29

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .PHONY: all check munge full sans lgc ttf full-ttf sans-ttf lgc-ttf status dist src-dist full-dist sans-dist lgc-dist norm check-harder pre-patch clean
 
 # Release version
-VERSION = 2.28
+VERSION = 2.29
 # Snapshot version
 SNAPSHOT = 
 # Initial source directory, assumed read-only

## ttf-dejavu 2.30

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .PHONY: all check munge full sans lgc ttf full-ttf sans-ttf lgc-ttf status dist src-dist full-dist sans-dist lgc-dist norm check-harder pre-patch clean
 
 # Release version
-VERSION = 2.29
+VERSION = 2.30
 # Snapshot version
 SNAPSHOT = 
 # Initial source directory, assumed read-only

=== debian/changelog ===
ttf-dejavu (2.30-2) unstable; urgency=low

  * debian/watch: workaround broken Sourceforge redirector
  * Switch to 3.0 source package format
  * Remove defoma hints files and dependency on defoma
  * debian/preinst: don’t run the script upon first installation. Thanx
    to Josselin Mouette for suggesting this
  * debian/preinst: purge defoma's font cache. Thanx to Christian Perrier
    for spotting this.

 -- Davide Viti <zinosat@tiscali.it>  Sun, 13 Dec 2009 13:52:13 +0100

ttf-dejavu (2.30-1) unstable; urgency=low

  * New upstream release
  * debian/control: Bump Standards-Version to 3.8.3

 -- Davide Viti <zinosat@tiscali.it>  Thu, 27 Aug 2009 21:40:19 +0200

ttf-dejavu (2.29-3) unstable; urgency=low

  * scripts/strip_glyphs.pe: re-encode as "unicodeFull" as to
    deal with glyphs in ranges > uFFFF  
  * scripts/generate-udeb.sh: simplify stripping glyphs in high ranges
    (> uFFFF) taking advantage of new version of strip_glyphs.pe
  * debian/control: Bump Standards-Version to 3.8.2

 -- Davide Viti <zinosat@tiscali.it>  Sat, 11 Jul 2009 20:57:22 +0200

ttf-dejavu (2.29-2) unstable; urgency=low

  [ Євгеній Мещеряков ]
  * Change source section to "fonts"

  [ Davide Viti ]
  * Bump Build-Depends on debhelper to 5.0.42
  * debian/control: Bump Standards-Version to 3.8.1
  
 -- Davide Viti <zinosat@tiscali.it>  Wed, 25 Mar 2009 21:53:30 +0100

ttf-dejavu (2.29-1) unstable; urgency=low

  * New upstream release (closes: #518778)
  * debian/scripts/generate-udeb.sh: strip DejaVuSans-Oblique.ttf
    up to u1D7E1

 -- Davide Viti <zinosat@tiscali.it>  Mon, 09 Mar 2009 22:05:13 +0100

ttf-dejavu (2.28-2) unstable; urgency=low

  [ Євгеній Мещеряков ]
  * Update Homepage field in debian/control

 -- Davide Viti <zinosat@tiscali.it>  Thu, 19 Feb 2009 21:56:22 +0100

ttf-dejavu (2.28-1) experimental; urgency=low

  * New upstream release (closes: #509377)
  * debian/control: fix lintian warning about missing ${misc:Depends}
    in binary entries

 -- Davide Viti <zinosat@tiscali.it>  Sat, 03 Jan 2009 21:38:14 +0100

ttf-dejavu (2.27-1) experimental; urgency=low

  * New upstream release (closes: #492784)

 -- Davide Viti <zinosat@tiscali.it>  Fri, 10 Oct 2008 15:48:56 +0200

ttf-dejavu (2.25-3) unstable; urgency=low

  * Fix build failure when using dash in place of sh (closes: #493406)
  * debian/control: Bump Standards-Version to 3.8.0

 -- Davide Viti <zinosat@tiscali.it>  Sun, 03 Aug 2008 21:17:37 +0200

ttf-dejavu (2.25-2) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Add ttf-dejavu-mono-udeb with the monospaced variant of DejaVu for the
    debian-installer.

  [ Davide Viti ]
  * Make sure ttf-dejavu-mono-udeb is properly built and not needed glyphs
    are stripped out of the udeb
  * debian/scripts/generate-udeb.sh: strip more ranges in
    DejaVuSans{-Bold,-Oblique}
    - Supplemental Punctuation (u2E00:u2E7F)
    - Cyrillic Extended-B (uA640:uA69F)
    - Modifier Tone Letters (uA700:uA71F)
    - Latin Extended-D (uA720:uA7FF)
    - Mathematical Alphanumeric Symbols (u1D400:u1D7FF)
    and in DejaVuSansMono strip also the following:
    - Letterlike Symbols
    - Box Drawing
    - Geometric Shapes
  
 -- Davide Viti <zinosat@tiscali.it>  Thu, 24 Jul 2008 22:58:02 +0200

ttf-dejavu (2.25-1) unstable; urgency=low

  * New upstream release
  * Fix lintian warning about fontforge and libfont-ttf-perl versions
  * debian/control: bump minimal version of fontforge to 0.0.20080330
  * Remove patch from previous release

 -- Davide Viti <zinosat@tiscali.it>  Mon, 19 May 2008 21:45:45 +0200

ttf-dejavu (2.24-2) unstable; urgency=low

  * Fix width for digits. Thanx to Denis Jacquerye for the
    patch. (closes: #471024)

 -- Davide Viti <zinosat@tiscali.it>  Mon, 17 Mar 2008 21:14:01 +0100

ttf-dejavu (2.24-1) unstable; urgency=low

  [ Eugeniy Meshcheryakov ]
  * Fix URL in debian/watch
  * Add Vcs-Svn and Vcs-Browser fields to debian/control

  [ Davide Viti ]
  * debian/control: bump minimal version of fontforge to 0.0.20080203-1
  * Add KOI8-R to Charset / UniCharset in defoma files (closes: #464616)
  * New upstream release
  
 -- Davide Viti <zinosat@tiscali.it>  Mon, 10 Mar 2008 10:34:23 +0100

ttf-dejavu (2.23-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version 3.7.3

 -- Davide Viti <zinosat@tiscali.it>  Sun, 20 Jan 2008 17:53:50 +0100

ttf-dejavu (2.22-1) unstable; urgency=low

  * New upstream release (closes: #452838)
  * Revert patches to rename ttf files needed in previous release
  * Adapt scripts to new directory layout introduced upstream
  * debian/scripts/generate-udeb.sh:
    - strip Ogham (U+1680-U+169F)
    - strip Yijing Hexagram Symbols (U+4DC0-U+4DFF)

 -- Davide Viti <zinosat@tiscali.it>  Sun, 09 Dec 2007 20:09:37 +0100

ttf-dejavu (2.21-1) unstable; urgency=low

  [ Eugeniy Meshcheryakov ]
  * debian/control: add Homepage field

  [ Davide Viti ]
  * New upstream release
  * Adapt build process to new Makefile introduced upstream; upstream
    transition is not finished yet and next version will need to revert
    the patch for scripts/generate-udeb.sh and remove
    scripts/adjust-fnames.sh

 -- Davide Viti <zinosat@tiscali.it>  Tue, 30 Oct 2007 00:23:50 +0100

ttf-dejavu (2.20-1) unstable; urgency=low

  [ Davide Viti ]  
  * New upstream release (closes: #439083)
  * debian/scripts/generate-udeb.sh:
    - strip Tai Xuan Jing Symbols (U+1D300-U+1D356)
  * ttf-dejavu-extra.defoma-hints:
    - replace Serif*Oblique with Serif*Italic (Closes: #440142)
  * Apply Ubuntu patch by Arne Goetje to split the package into -core and
    -extra
  * control: remove "Replaces" entry in the ttf-dejavu stanza
  * preinst: add #DEBHELPER# token to avoid lintian warning
  
  [ Eugeniy Meshcheryakov ]
  * Fix URL in watch file

 -- Davide Viti <zinosat@tiscali.it>  Sat, 22 Sep 2007 21:23:46 +0200

ttf-dejavu (2.19-1) unstable; urgency=low

  * New upstream release

 -- Davide Viti <zinosat@tiscali.it>  Sun, 05 Aug 2007 15:04:12 +0200



=== debian/control ===
Source: ttf-dejavu
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Build-Depends: cdbs (>= 0.4.46), debhelper (>= 5.0.42)
Build-Depends-Indep: fontforge (>= 0.0.20080330), perl, libfont-ttf-perl (>= 0.35)
Standards-Version: 3.8.3
Uploaders: Davide Viti <zinosat@tiscali.it>, Christian Perrier <bubulle@debian.org>, Eugeniy Meshcheryakov <eugen@debian.org>
Vcs-Svn: svn://svn.debian.org/pkg-fonts/packages/ttf-dejavu/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-fonts/packages/ttf-dejavu/trunk
Homepage: http://dejavu-fonts.org/

Package: ttf-dejavu
Architecture: all
Depends: ${misc:Depends}, ttf-dejavu-core, ttf-dejavu-extra
Conflicts: ttf-dejavu (<< 2.20-1)
Description: Metapackage to pull in ttf-dejavu-core and ttf-dejavu-extra
 DejaVu provides an expanded version of the Vera font family aiming for
 quality and broader Unicode coverage while retaining the original Vera
 style. DejaVu currently works towards conformance with the Multilingual
 European Standards (MES-1 and MES-2) for Unicode coverage. The DejaVu
 fonts provide serif, sans and monospaced variants.
 .
 Use this package if you want all DejaVu variants.
 .
 DejaVu fonts are intended for use on low-resolution devices (mainly
 computer screens) but can be used in printing as well.

Package: ttf-dejavu-core
Architecture: all
Depends: ${misc:Depends}
Conflicts: ttf-dejavu (<< 2.20-1)
Replaces: ttf-dejavu (<< 2.20-1)
Description: Vera font family derivate with additional characters
 DejaVu provides an expanded version of the Vera font family aiming for
 quality and broader Unicode coverage while retaining the original Vera
 style. DejaVu currently works towards conformance with the Multilingual
 European Standards (MES-1 and MES-2) for Unicode coverage. The DejaVu
 fonts provide serif, sans and monospaced variants.
 .
 This package only contains the sans, sans-bold, serif, serif-bold,
 mono and mono-bold variants. For additional variants, see the 
 ttf-dejavu-extra package.
 .
 DejaVu fonts are intended for use on low-resolution devices (mainly
 computer screens) but can be used in printing as well.

Package: ttf-dejavu-extra
Architecture: all
Depends: ${misc:Depends}, ttf-dejavu-core
Conflicts: ttf-dejavu (<< 2.20-1)
Replaces: ttf-dejavu (<< 2.20-1)
Description: Vera font family derivate with additional characters
 DejaVu provides an expanded version of the Vera font family aiming for
 quality and broader Unicode coverage while retaining the original Vera
 style. DejaVu currently works towards conformance with the Multilingual
 European Standards (MES-1 and MES-2) for Unicode coverage. The DejaVu
 fonts provide serif, sans and monospaced variants.
 .
 This package includes additional variants, such as oblique, italic,
 bold-oblique, bold-italic and the condensed forms.
 .
 DejaVu fonts are intended for use on low-resolution devices (mainly
 computer screens) but can be used in printing as well.

Package: ttf-dejavu-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: all
Description: Vera font family derivate with additional characters
 DejaVu provides an expanded version of the Vera font family aiming for
 quality and broader Unicode coverage while retaining the original Vera
 style. DejaVu currently works towards conformance with the Multilingual
 European Standards (MES-1 and MES-2) for Unicode coverage. The DejaVu
 fonts provide serif, sans and monospaced variants.
 .
 DejaVu fonts are intended for use on low-resolution devices (mainly
 computer screens) but can be used in printing as well.

Package: ttf-dejavu-mono-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: all
Description: Monospace Vera font family derivate with additional characters
 Monospace variant of the DejaVu font for the debian-installer.
 .
 DejaVu fonts are intended for use on low-resolution devices (mainly
 computer screens) but can be used in printing as well.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

clean::
	rm -rf tmp/ build/ udeb-generated/ udeb-build/
	rm -f debian/stamp-common-build

common-build-indep:: debian/stamp-common-build
debian/stamp-common-build: $(wildcard *.sfd)
	make full-ttf
	sh debian/scripts/generate-udeb.sh
	touch debian/stamp-common-build

## ttf-dejavu 2.31

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .PHONY: all check munge full sans lgc ttf full-ttf sans-ttf lgc-ttf status dist src-dist full-dist sans-dist lgc-dist norm check-harder pre-patch clean
 
 # Release version
-VERSION = 2.30
+VERSION = 2.31
 # Snapshot version
 SNAPSHOT = 
 # Initial source directory, assumed read-only

=== debian/changelog ===
ttf-dejavu (2.31-1) unstable; urgency=low

  * New upstream release
  * debian/control: Bump Standards-Version to 3.8.4
    (no changes needed)

 -- Davide Viti <zinosat@tiscali.it>  Sat, 29 May 2010 22:23:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Build-Depends: cdbs (>= 0.4.46), debhelper (>= 5.0.42)
 Build-Depends-Indep: fontforge (>= 0.0.20080330), perl, libfont-ttf-perl (>= 0.35)
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Uploaders: Davide Viti <zinosat@tiscali.it>, Christian Perrier <bubulle@debian.org>, Eugeniy Meshcheryakov <eugen@debian.org>
 Vcs-Svn: svn://svn.debian.org/pkg-fonts/packages/ttf-dejavu/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-fonts/packages/ttf-dejavu/trunk

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/([^\/]*)\/download/$1/ \
http://sourceforge.net/projects/dejavu/files/ \
/projects/dejavu/files/dejavu/.*/dejavu-fonts-([\d.]*)\.tar.bz2/download debian

## ttf-dejavu 2.33

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .PHONY: all check munge full sans lgc ttf full-ttf sans-ttf lgc-ttf status dist src-dist full-dist sans-dist lgc-dist norm check-harder pre-patch clean
 
 # Release version
-VERSION = 2.31
+VERSION = 2.33
 # Snapshot version
 SNAPSHOT = 
 # Initial source directory, assumed read-only

=== debian/changelog ===
ttf-dejavu (2.33-3ubuntu2) raring; urgency=low

  * Install fontconfig files and symlink into /etc/fonts/conf.d/

 -- Iain Lane <iain.lane@canonical.com>  Wed, 06 Feb 2013 11:21:03 +0000

ttf-dejavu (2.33-3ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 01_missing_uighur.patch: Add missing glyphs for Uighur language.
    - debian/rules: Disable simple-patchsys.mk, it conflicts with the 3.0
      (quilt) format.

 -- Logan Rosen <logatronico@gmail.com>  Sun, 02 Dec 2012 15:03:05 -0500

ttf-dejavu (2.33-3) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/rules: Use xz compression for binary packages. 
    Closes: #683931

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Aug 2012 18:19:22 +0200

ttf-dejavu (2.33-2ubuntu1) precise; urgency=low

  * Add 01_missing_uighur.patch: Add missing glyphs for Uighur language.
    Thanks MihailJP for the patch. (LP: #943830)
  * debian/rules: Disable simple-patchsys.mk, it conflicts with the 3.0
    (quilt) format.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 10 Apr 2012 07:58:03 +0200

ttf-dejavu (2.33-2) unstable; urgency=low

  * Mark binary packages as Multi-Arch: foreign
    Closes: #637967
  * Don't use brace expansion in ttf-dejavu-udeb.install

 -- Christian Perrier <bubulle@debian.org>  Thu, 18 Aug 2011 05:59:43 +0200

ttf-dejavu (2.33-1) unstable; urgency=low

  * New upstream release
  * debian/scripts/generate-udeb.sh: strip more ranges in
    DejaVuSans{-Bold,-Oblique}
    - Old Italic (u10300:u1032F)
    - Playing Cards (u1F0A0:u1F0FF)
    - Miscellaneous Symbols And Pictographs (u1F400:u1F4FF)
    - Emoticons (u1F600:u1F64F)
  
 -- Davide Viti <zinosat@tiscali.it>  Mon, 28 Feb 2011 23:29:50 +0100

ttf-dejavu (2.32-1) unstable; urgency=low

  * New upstream release
  * debian/control: 
    - Bump Standards-Version to 3.9.1 (no changes needed)
    - Build-Depends-Indep set to "fontforge-nox | fontforge" to unburden
      buildds. Drop also version restriction (>= 0.0.20080330)  
  * debian/scripts/generate-udeb.sh:
    - strip Domino Tiles (U+1F030-U+1F09F)
  * debian/watch: revert workaround for broken Sourceforge redirector to
    make the package lintian clean

 -- Davide Viti <zinosat@tiscali.it>  Thu, 03 Feb 2011 21:45:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: ttf-dejavu
 Section: fonts
 Priority: optional
-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
-Build-Depends: cdbs (>= 0.4.46), debhelper (>= 5.0.42)
-Build-Depends-Indep: fontforge (>= 0.0.20080330), perl, libfont-ttf-perl (>= 0.35)
-Standards-Version: 3.8.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Build-Depends: cdbs (>= 0.4.46), debhelper (>= 9)
+Build-Depends-Indep: fontforge-nox | fontforge, perl, libfont-ttf-perl (>= 0.35)
+Standards-Version: 3.9.1
 Uploaders: Davide Viti <zinosat@tiscali.it>, Christian Perrier <bubulle@debian.org>, Eugeniy Meshcheryakov <eugen@debian.org>
 Vcs-Svn: svn://svn.debian.org/pkg-fonts/packages/ttf-dejavu/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-fonts/packages/ttf-dejavu/trunk
@@ -12,7 +13,9 @@
 
 Package: ttf-dejavu
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ttf-dejavu-core, ttf-dejavu-extra
+Pre-Depends: dpkg (>= 1.15.6~)
 Conflicts: ttf-dejavu (<< 2.20-1)
 Description: Metapackage to pull in ttf-dejavu-core and ttf-dejavu-extra
  DejaVu provides an expanded version of the Vera font family aiming for
@@ -28,9 +31,11 @@
 
 Package: ttf-dejavu-core
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Conflicts: ttf-dejavu (<< 2.20-1)
 Replaces: ttf-dejavu (<< 2.20-1)
+Pre-Depends: dpkg (>= 1.15.6~)
 Description: Vera font family derivate with additional characters
  DejaVu provides an expanded version of the Vera font family aiming for
  quality and broader Unicode coverage while retaining the original Vera
@@ -47,9 +52,11 @@
 
 Package: ttf-dejavu-extra
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ttf-dejavu-core
 Conflicts: ttf-dejavu (<< 2.20-1)
 Replaces: ttf-dejavu (<< 2.20-1)
+Pre-Depends: dpkg (>= 1.15.6~)
 Description: Vera font family derivate with additional characters
  DejaVu provides an expanded version of the Vera font family aiming for
  quality and broader Unicode coverage while retaining the original Vera

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,10 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/simple-patchsys.mk
+
+DEB_DH_BUILDDEB_ARGS = -- -Zxz
+
+DEB_DH_INSTALL_ARGS = -Xlgc
 
 clean::
 	rm -rf tmp/ build/ udeb-generated/ udeb-build/
